Skip to main content
GET
/
v1
/
salesOrders
/
{salesOrderId}
/
lineitems
/
{salesOrderLineItemId}
/
files
Query Sales Order Line Item Files
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/lineitems/{salesOrderLineItemId}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "Id": 123,
    "SalesOrderLineItemId": 123,
    "SalesOrderId": 123,
    "FileId": 123,
    "FileDataType": "<string>",
    "Size": 123,
    "CreatedAt": "2023-11-07T05:31:56Z",
    "FileName": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesOrderId
integer<int32>
required

The id of the sales order for which line item files are being queried.

salesOrderLineItemId
integer<int32>
required

The id of the sales order line item for which files are being queried.

Response

The files for the line items of the specified sales order.

Id
integer<int32>
required

Unique ID to identify a sales order line item file.

SalesOrderLineItemId
integer<int32>
required

Unique ID to identify a sales order item.

SalesOrderId
integer<int32>
required

Unique ID to identify a sales order.

FileId
integer<int32>
required

Unique ID to identify a file.

FileDataType
string
required

Type of file.

Size
number<decimal>
required

Image size.

CreatedAt
string<date-time>
required

Date when the file was created in the system.

FileName
string
required

name of the file.